complexType "OilDelivery"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 5 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (pipeline? | transfer?), importerOfRecord?, (absoluteTolerance? | percentageTolerance?)?
</...>

Content Model Elements (5):

  absoluteTolerance, importerOfRecord, percentageTolerance, pipeline, transfer

All Direct / Indirect Based Elements (1):

  deliveryConditions (in oilPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryConditions (in oilPhysicalLeg)

Annotation
The physical delivery conditions for an oil product.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="OilDelivery"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="pipeline" type="OilPipelineDelivery"/> <xsd:element minOccurs="0" name="transfer" type="OilTransferDelivery"/> </xsd:choice> <xsd:element minOccurs="0" name="importerOfRecord" type="PartyReference"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="absoluteTolerance" type="AbsoluteTolerance"/> <xsd:element minOccurs="0" name="percentageTolerance" type="PercentageTolerance"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
absoluteTolerance

  Type: | AbsoluteTolerance, complex content

  Specifies the allowable quantity tolerance as an absolute quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="absoluteTolerance" type="AbsoluteTolerance"/>

importerOfRecord

  Type: | PartyReference, empty content

  Specifies which party is the Importer of Record for the purposes of paying customs duties and applicable taxes or costs related to the import of the oil product.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="importerOfRecord" type="PartyReference"/>

percentageTolerance

  Type: | PercentageTolerance, complex content

  Specifies the allowable quantity tolerance as a percentage of the quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="percentageTolerance" type="PercentageTolerance"/>

pipeline

  Type: | OilPipelineDelivery, complex content

  Specified the delivery conditions where the oil product is to be delivered by pipeline.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pipeline" type="OilPipelineDelivery"/>

transfer

  Type: | OilTransferDelivery, complex content

  Specified the delivery conditions where the oil product is to be delivered by title transfer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="transfer" type="OilTransferDelivery"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.